<?php

namespace Sites\SoulCams;

function get_shortname()
{
	return 'so';
}

function online_status()
{
	global $_AVOS;

	$url = 'https://soulcams.com/promotools/xmlfeed.php?format=xml&wm=' . $_AVOS['config']['webcams']['SoulCams']['affiliate'];

	$raw = @file_get_contents($url);
	$xml = simplexml_load_string($raw);
	$models = array();

	#print_r($xml); return false;

	foreach ($xml->performer as $m) {
		$models[] = array(
			'site'			=> 'so',
			'nickname' 		=> (string)$m->performerid,
			'name' 			=> (string)$m->performerid,
			'imageUrl'		=> (string)$m->profilepic,
			'age'			=> (string)$m->names->age,
			'earnedForGoal' => 0, // Replace with actual value if available
			'neededForGoal' => 0, // Replace with actual value if available
			'broadcastVR' => 0 ,// Replace with actual value if available
			'tags' 			=> (string)$m->tags,
			'subject'		=> \Avos\Utils\convert_ascii((string)$m->turns_on),

			'gender'		=> str_replace(
								array('Couple', 'Female', 'Male'),
								array('c', 'f', 'm'),
								(string)$m->names->sex
							),

			'hd'	 		=> (int)str_replace(
								array('Y', 'N'),
								array(1, 0),
								(string)$m->hds_flag
							),

			'status'	 	=> str_replace(
								array('Free', 'InPrivate', 'MembersOnly'),
								array('f', 'p', 'g'),
								(string)$m->online_status
							)

		);
	}

	#print_r($models); return false;

	return($models);
}

