<?php
include "bootstrap.php";

if (!isset($argv[2])) {
	echo "usage: sqlite.php keys|get <key>\n";
	exit;
}

$action = $argv[1];
$key = $argv[2];

switch ($action) {
	case 'keys':
		$keys = \Avos\SQLite\search($key);

		if ($keys == false) {
			echo "malformed search key or no matches. key pattern must contain a models id.\n";
			exit;
		}

		foreach ($keys as $k) {
			echo "$k\n";
		}

		break;

	case 'rmkeys':
		$keys = \Avos\SQLite\search($key);

		if ($keys == false) {
			echo "malformed search key or no matches\n";
			exit;
		}

		foreach ($keys as $k) {
			echo "deleting $k\n";
			\Avos\SQLite\del($k);
		}

		break;

	case 'get';
		$data = \Avos\SQLite\get($key);

		if ($data === false) {
			echo "malformed search key\n";
			exit;
		}

		if (count($data) > 0) {
			print_r($data);
		}

		break;

	default:
		echo "usage: sqlite.php keys|rmkeys|get <path>\n";
}


